Index: database/.gitignore
===================================================================
--- database/.gitignore	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
+++ database/.gitignore	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
@@ -0,0 +1,1 @@
+*.sqlite*
Index: database/factories/UserFactory.php
===================================================================
--- database/factories/UserFactory.php	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
+++ database/factories/UserFactory.php	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
@@ -0,0 +1,47 @@
+<?php
+
+namespace Database\Factories;
+
+use App\Models\User;
+use Illuminate\Database\Eloquent\Factories\Factory;
+use Illuminate\Support\Str;
+
+class UserFactory extends Factory
+{
+    /**
+     * The name of the factory's corresponding model.
+     *
+     * @var string
+     */
+    protected $model = User::class;
+
+    /**
+     * Define the model's default state.
+     *
+     * @return array
+     */
+    public function definition()
+    {
+        return [
+            'name' => $this->faker->name(),
+            'email' => $this->faker->unique()->safeEmail(),
+            'email_verified_at' => now(),
+            'password' => '$2y$10$92IXUNpkjO0rOQ5byMi.Ye4oKoEa3Ro9llC/.og/at2.uheWG/igi', // password
+            'remember_token' => Str::random(10),
+        ];
+    }
+
+    /**
+     * Indicate that the model's email address should be unverified.
+     *
+     * @return \Illuminate\Database\Eloquent\Factories\Factory
+     */
+    public function unverified()
+    {
+        return $this->state(function (array $attributes) {
+            return [
+                'email_verified_at' => null,
+            ];
+        });
+    }
+}
Index: database/migrations/2014_10_12_000000_create_users_table.php
===================================================================
--- database/migrations/2014_10_12_000000_create_users_table.php	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
+++ database/migrations/2014_10_12_000000_create_users_table.php	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
@@ -0,0 +1,36 @@
+<?php
+
+use Illuminate\Database\Migrations\Migration;
+use Illuminate\Database\Schema\Blueprint;
+use Illuminate\Support\Facades\Schema;
+
+class CreateUsersTable extends Migration
+{
+    /**
+     * Run the migrations.
+     *
+     * @return void
+     */
+    public function up()
+    {
+        Schema::create('users', function (Blueprint $table) {
+            $table->id();
+            $table->string('name');
+            $table->string('email')->unique();
+            $table->timestamp('email_verified_at')->nullable();
+            $table->string('password');
+            $table->rememberToken();
+            $table->timestamps();
+        });
+    }
+
+    /**
+     * Reverse the migrations.
+     *
+     * @return void
+     */
+    public function down()
+    {
+        Schema::dropIfExists('users');
+    }
+}
Index: database/migrations/2014_10_12_100000_create_password_resets_table.php
===================================================================
--- database/migrations/2014_10_12_100000_create_password_resets_table.php	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
+++ database/migrations/2014_10_12_100000_create_password_resets_table.php	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
@@ -0,0 +1,32 @@
+<?php
+
+use Illuminate\Database\Migrations\Migration;
+use Illuminate\Database\Schema\Blueprint;
+use Illuminate\Support\Facades\Schema;
+
+class CreatePasswordResetsTable extends Migration
+{
+    /**
+     * Run the migrations.
+     *
+     * @return void
+     */
+    public function up()
+    {
+        Schema::create('password_resets', function (Blueprint $table) {
+            $table->string('email')->index();
+            $table->string('token');
+            $table->timestamp('created_at')->nullable();
+        });
+    }
+
+    /**
+     * Reverse the migrations.
+     *
+     * @return void
+     */
+    public function down()
+    {
+        Schema::dropIfExists('password_resets');
+    }
+}
Index: database/migrations/2019_08_19_000000_create_failed_jobs_table.php
===================================================================
--- database/migrations/2019_08_19_000000_create_failed_jobs_table.php	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
+++ database/migrations/2019_08_19_000000_create_failed_jobs_table.php	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
@@ -0,0 +1,36 @@
+<?php
+
+use Illuminate\Database\Migrations\Migration;
+use Illuminate\Database\Schema\Blueprint;
+use Illuminate\Support\Facades\Schema;
+
+class CreateFailedJobsTable extends Migration
+{
+    /**
+     * Run the migrations.
+     *
+     * @return void
+     */
+    public function up()
+    {
+        Schema::create('failed_jobs', function (Blueprint $table) {
+            $table->id();
+            $table->string('uuid')->unique();
+            $table->text('connection');
+            $table->text('queue');
+            $table->longText('payload');
+            $table->longText('exception');
+            $table->timestamp('failed_at')->useCurrent();
+        });
+    }
+
+    /**
+     * Reverse the migrations.
+     *
+     * @return void
+     */
+    public function down()
+    {
+        Schema::dropIfExists('failed_jobs');
+    }
+}
Index: database/migrations/2019_12_14_000001_create_personal_access_tokens_table.php
===================================================================
--- database/migrations/2019_12_14_000001_create_personal_access_tokens_table.php	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
+++ database/migrations/2019_12_14_000001_create_personal_access_tokens_table.php	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
@@ -0,0 +1,36 @@
+<?php
+
+use Illuminate\Database\Migrations\Migration;
+use Illuminate\Database\Schema\Blueprint;
+use Illuminate\Support\Facades\Schema;
+
+class CreatePersonalAccessTokensTable extends Migration
+{
+    /**
+     * Run the migrations.
+     *
+     * @return void
+     */
+    public function up()
+    {
+        Schema::create('personal_access_tokens', function (Blueprint $table) {
+            $table->bigIncrements('id');
+            $table->morphs('tokenable');
+            $table->string('name');
+            $table->string('token', 64)->unique();
+            $table->text('abilities')->nullable();
+            $table->timestamp('last_used_at')->nullable();
+            $table->timestamps();
+        });
+    }
+
+    /**
+     * Reverse the migrations.
+     *
+     * @return void
+     */
+    public function down()
+    {
+        Schema::dropIfExists('personal_access_tokens');
+    }
+}
Index: database/seeders/DatabaseSeeder.php
===================================================================
--- database/seeders/DatabaseSeeder.php	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
+++ database/seeders/DatabaseSeeder.php	(revision 2fc88eca8e50b236d520d00f243f96eef97ae67f)
@@ -0,0 +1,18 @@
+<?php
+
+namespace Database\Seeders;
+
+use Illuminate\Database\Seeder;
+
+class DatabaseSeeder extends Seeder
+{
+    /**
+     * Seed the application's database.
+     *
+     * @return void
+     */
+    public function run()
+    {
+        // \App\Models\User::factory(10)->create();
+    }
+}
